Index: cgilib-0.4/cgi.c
===========================================================================
--- cgilib-0.4/cgi.c	2004/11/03 14:26:17	#3
+++ cgilib-0.4/cgi.c	2004/11/03 14:26:17
@@ -33,9 +33,6 @@
 #ifdef HAVE_CTYPE_H
 # include <ctype.h>
 #endif
-#ifdef HAVE_MALLOC_H
-# include <malloc.h>
-#endif
 
 #include <cgi.h>
 
Index: configure.in
===========================================================================
--- configure.in	2004/11/03 14:26:17	#6
+++ configure.in	2004/11/03 14:26:17
@@ -1,12 +1,13 @@
 # 
 # RTG 0.8.1 configure.in
 # Author: Rob Beverly <rbeverly@users.sourceforge.net>
+# $Yahoo$
 #
 
 AC_INIT(src/rtg.h)
 AC_CONFIG_AUX_DIR(config)
 AC_SUBST(ac_aux_dir)
-AM_INIT_AUTOMAKE(rtg, 0.8.1)
+AM_INIT_AUTOMAKE(rtg, 0.8.1-YAHOO)
 AC_SUBST(VERSION)
 AM_CONFIG_HEADER(config/config.h)
 AC_CANONICAL_HOST
@@ -26,10 +27,13 @@
    [  --with-snmp=PATH        SNMP path [default=/usr/local]],,)
 
 AC_ARG_WITH(gd,
-   [  --with-gd=PATH        gd path [default=/usr/local]],,)
+   [  --with-gd=PATH          gd path [default=/usr/local]],,)
 
 AC_ARG_WITH(png,
-   [  --with-png=PATH        png path [default=/usr/local]],,)
+   [  --with-png=PATH         png path [default=/usr/local]],,)
+
+AC_ARG_WITH(setproctitle, 
+   [  --with-setproctitle     use setproctitle(3) to display thread status],,)
 
 
 # For sanity, can't try to build MySQL and Postgres
@@ -69,10 +73,8 @@
 AC_PROG_INSTALL
 AC_PROG_LN_S
 AC_PROG_RANLIB
-# NEW_TARGET_FORMAT
 AC_PROG_YACC
 AM_PROG_LEX
-# END NEW_TARGET
 
 AC_MSG_CHECKING([whether to enable -Wall])
 AC_ARG_ENABLE(warnings,
@@ -105,7 +107,13 @@
 
 dnl Checks for library functions.
 AC_TYPE_SIGNAL
-AC_CHECK_FUNCS(gettimeofday strerror strtoll)
+AC_CHECK_FUNCS(gettimeofday strerror strtoull strtoll strdup)
+
+if test "x$with_setproctitle" != "x"
+then
+	AC_CHECK_FUNCS(setproctitle)
+	AC_DEFINE(HAVE_SPT, 1, [use setproctitle to display thread status])
+fi
 
 dnl Determine RTG home installation path for script substitution
 if test "x$prefix" != "xNONE"; then
Index: contrib/convtargets.php
===========================================================================
*** /dev/null	Wed Nov  3 14:22:00 2004
--- contrib/convtargets.php	Wed Nov  3 14:26:18 2004
***************
*** 0 ****
--- 1,56 ----
+ #!/usr/local/bin/php
+ <?php
+ 
+ # convtargets.php - convert old rtg targets files to rtg 0.8 format
+ # (c) 2004 bill fumerola, yahoo! <fumerola@yahoo-inc.com>
+ # 
+ # Redistribution and use in source and binary forms, with or without
+ # modification, are permitted provided that the following conditions
+ # are met:
+ # 1. Redistributions of source code must retain the above copyright
+ #    notice, this list of conditions and the following disclaimer.
+ # 2. Redistributions in binary form must reproduce the above copyright
+ #    notice, this list of conditions and the following disclaimer in the
+ #    documentation and/or other materials provided with the distribution.
+ # 
+ # THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ # ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
+ # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ # SUCH DAMAGE.
+ #
+ # $Yahoo: //depot/fumerola/rtg-contrib/contrib/convtargets.php#2 $
+ 
+ 
+ $stdin = fopen('php://stdin', 'r') or die('cannot read stdin?!');
+ $hosts = array();
+ $hostconf = array();
+ 
+ while (($line = fgetcsv($stdin, 2048, "\t")) !== FALSE) {
+ 	if (strpos($line[0], '#') === 0)
+ 		continue;
+ 	$hostconf[$line[0]] = $line[3];
+ 	$target = array('bits' => $line[2], 'table' => $line[4],
+ 			'id' => $line[5], 'speed' => '0',
+ 			'descr' => '"' . addslashes($line[6]) . '"');
+ 	$hosts[$line[0]][$line[1]] = $target;
+ }
+ 
+ foreach ($hosts as $host => $targets):
+ echo "host $host {\n";
+ echo "\tcommunity {$hostconf[$host]};\n";
+ foreach ($targets as $oid => $target) {
+ 	echo "\ttarget $oid {\n";
+ 	foreach ($target as $k => $v)
+ 		echo "\t\t$k $v;\n";
+ 	echo "\t};\n";
+ }
+ echo "};\n";
+ endforeach;
+ ?>
Index: etc/rtg.conf
===========================================================================
--- etc/rtg.conf	2004/11/03 14:26:17	#2
+++ etc/rtg.conf	2004/11/03 14:26:17
@@ -4,9 +4,6 @@
 Interval	300
 HighSkewSlop	3
 LowSkewSlop	.5
-OutOfRange	93750000000
-SNMP_Ver	1
-SNMP_Port       161
 DB_Host	localhost
 DB_Database	rtg
 DB_User	snmp
Index: src/Makefile.am
===========================================================================
--- src/Makefile.am	2004/11/03 14:26:17	#4
+++ src/Makefile.am	2004/11/03 14:26:17
@@ -1,4 +1,5 @@
 ## Makefile.am -- Process this file with automake to produce Makefile.in
+## $Yahoo$
 
 CGI_LIB_DIR        = $(top_srcdir)/@CGI_LIB_DIR@
 # REMOVE
@@ -12,30 +13,19 @@
 #           $(PNG_LIB_DIR)/libpng.a $(ZLIB_LIB_DIR)/libzlib.a
 RTG_LIBS = $(CGI_LIB_DIR)/libcgi.a 
 
-# NEW_TARGET_FORMAT
 AM_YFLAGS= -d
 BUILT_SOURCES = rtgtarg.h rtgtarg.c
 CLEANFILES = rtgtarg.c rtgtarg.h
-# END NEW_TARGET
-
-# Uncomment the following two lines to enable OLD target parsing
-#rtgpoll_SOURCES = rtgsnmp.c rtgmysql.c rtgpgsql.c rtgpoll.c rtgutil.c rtghash.c
-#rtgplot_SOURCES = rtgplot.c rtgmysql.c rtgpgsql.c rtgparse.c rtgutil.c rtghash.c 
 
-# NEW_TARGET_FORMAT
 rtgpoll_SOURCES = rtgsnmp.c rtgmysql.c rtgpgsql.c rtgpoll.c rtgutil.c \
-                  rtgtarg.y rtggram.l rtghash.c
+                  rtgtarg.y rtggram.l rtghash.c rtgsqlbuf.c
 
 rtgplot_SOURCES = rtgplot.c rtgmysql.c rtgpgsql.c rtgparse.c rtgutil.c
 
-# END NEW_TARGET
-
 include_HEADERS = rtg.h rtgplot.h common.h
 #
 
-# NEW_TARGET_FORMAT
 rtgpoll_LDADD = $(LEXLIB)
-# END NEW_TARGET
 rtgplot_LDADD = $(RTG_LIBS)
 
 bin_PROGRAMS = rtgpoll rtgplot
Index: src/common.h
===========================================================================
--- src/common.h	2004/11/03 14:26:17	#2
+++ src/common.h	2004/11/03 14:26:17
@@ -1,3 +1,5 @@
+/* $Yahoo$ */
+
 #ifndef RTG_COMMON_H
 #define RTG_COMMON_H 1
 
@@ -72,4 +74,8 @@
 # include <libpq-fe.h>
 #endif
 
+#if HAVE_SYS_STAT_H
+# include <sys/stat.h>
+#endif
+
 #endif /* RTG_COMMON_H */
Index: src/rtg.h
===========================================================================
--- src/rtg.h	2004/11/03 14:26:17	#6
+++ src/rtg.h	2004/11/03 14:26:17
@@ -3,6 +3,7 @@
    Author:      $Author: rbeverly $
    Date:        $Date: 2004/10/30 16:38:24 $
    Description: RTG headers
+   Do You:      $Yahoo$
 ****************************************************************************/
 
 #ifndef _RTG_H_
@@ -10,7 +11,6 @@
 
 /****** XXX 0.8 FEATURES -- Remove, resolve or fix for release */
 #define FEATURES 1
-#define NEW_TARGET_FORMAT 1
 #define RATE_INSERT 0
 /****** XXX 0.8 FEATURES -- Remove, resolve or fix for release */
 
@@ -26,7 +26,7 @@
 /* #define BROKEN_LINUX 1 */
 
 /* Constants */
-#define MAX_THREADS 100
+#define MAX_THREADS 128
 #define BUFSIZE 512
 #define BITSINBYTE 8
 #define THIRTYTWO 4294967295ul
@@ -45,7 +45,7 @@
    that RTG_HOME, as determined during autoconf is one path */
 #define CONFIG_PATHS 3
 #define CONFIG_PATH_1 ""
-#define CONFIG_PATH_2 "/etc/"
+#define CONFIG_PATH_2 RTG_HOME"/etc/"
 
 /* Defaults */
 #define DEFAULT_CONF_FILE "rtg.conf"
@@ -58,6 +58,7 @@
 #define DEFAULT_DB_DB "rtg"
 #define DEFAULT_DB_USER "snmp"
 #define DEFAULT_DB_PASS "rtgdefault"
+#define DEFAULT_DB_PORT 3306
 #define DEFAULT_SNMP_VER 1
 #define DEFAULT_SNMP_PORT 161
 #define DEFAULT_SYSLOG_FACILITY LOG_LOCAL2
@@ -66,58 +67,98 @@
 #define PIDFILE "/var/run/rtgpoll.pid"
 
 #define STAT_DESCRIP_ERROR 99
-#define HASHSIZE 5000
 
-/* pthread error messages */
-#define PML_ERR "pthread_mutex_lock error\n"
-#define PMU_ERR "pthread_mutex_unlock error\n"
-#define PCW_ERR "pthread_cond_wait error\n"
-#define PCB_ERR "pthread_cond_broadcast error\n"
-
 /* pthread macros */
-#define PT_MUTEX_LOCK(x) if (pthread_mutex_lock(x) != 0) printf(PML_ERR)
-#define PT_MUTEX_UNLOCK(x) if (pthread_mutex_unlock(x) != 0) printf(PMU_ERR)
-#define PT_COND_WAIT(x,y) if (pthread_cond_wait(x, y) != 0) printf(PCW_ERR)
-#define PT_COND_BROAD(x) if (pthread_cond_broadcast(x) != 0) printf(PCB_ERR)
+#define PT_MUTEX_LOCK(x) \
+	do { int pterr; \
+		debug(THREAD, "lock: %s::%s(%u)\n", __FILE__, __func__, __LINE__); \
+		if ((pterr = pthread_mutex_lock(x)) != 0) \
+			fprintf(stderr, "pthread_mutex_lock error (%s)\n", \
+			       strerror(pterr)); \
+	} while(0)
+#define PT_MUTEX_UNLOCK(x) \
+	do { int pterr; \
+		debug(THREAD, "unlock: %s::%s(%u)\n", __FILE__, __func__, __LINE__); \
+		if ((pterr = pthread_mutex_unlock(x)) != 0) \
+			fprintf(stderr, "pthread_mutex_unlock error (%s)\n", \
+			       strerror(pterr)); \
+	} while(0)
+#define PT_COND_WAIT(x,y) \
+	do { int pterr; \
+		debug(THREAD, "condwait: %s::%s(%u)\n", __FILE__, __func__, __LINE__); \
+		if ((pterr = pthread_cond_wait(x, y)) != 0) \
+			fprintf(stderr, "pthread_cond_wait error (%s)\n",\
+			       strerror(pterr)); \
+	} while(0)
+#define PT_COND_BROAD(x) \
+	do { int pterr; \
+		debug(THREAD, "condbroad: %s::%s(%u)\n", __FILE__, __func__, __LINE__); \
+		if ((pterr = pthread_cond_broadcast(x)) != 0) \
+			fprintf(stderr, "pthread_cond_broadcast error (%s)\n",\
+			       strerror(pterr)); \
+	} while(0)
+#define PT_COND_SIGNAL(x) \
+	do { int pterr; \
+		debug(THREAD, "condsignal: %s::%s(%u)\n", __FILE__, __func__, __LINE__); \
+		if ((pterr = pthread_cond_signal(x)) != 0) \
+			fprintf(stderr, "pthread_cond_signal error (%s)\n",\
+			       strerror(pterr)); \
+	} while(0)
 
 /* Verbosity levels LOW=info HIGH=info+SQL DEBUG=info+SQL+junk */
-enum debugLevel {OFF, LOW, HIGH, DEBUG, DEVELOP}; 
+enum debugLevel {OFF = 1, LOW, HIGH, DEBUG, DEVELOP, THREAD}; 
 
 /* These ugly macros keep the code clean and everything inline for speed */
-#define sysloginfo(x...) syslog(LOG_INFO |  LOG_LOCAL2, x) // replace with conf'g facility
-#define syslogcrit(x...) syslog(LOG_CRIT |  LOG_LOCAL2, x) // replace with conf'g facility
-#define debug(level,x...) do {if (set.verbose >= level) {if (set.daemon) sysloginfo(x); else fprintf(stdout,x);} } while (0)
-#define debugfile(dfp,level,x...) do {if (set.verbose >= level) {if (set.daemon) sysloginfo(x); else fprintf(dfp,x);} } while (0)
-#define fatal(x...) do { if (set.daemon) syslogcrit(x); else fprintf(stderr,x); exit(-1); } while (0)
-#define fatalfile(dfp,x...) do { fprintf(dfp,x); exit(-1); } while (0)
+#define sysloginfo(x...) syslog(LOG_INFO |  LOG_LOCAL2, x) /* replace with conf'g facility */
+#define syslogcrit(x...) syslog(LOG_CRIT |  LOG_LOCAL2, x) /* replace with conf'g facility */
+
+#define debugfile(dfp,level,x...) \
+	do { \
+		if (set.verbose >= level) { \
+			if (set.daemon && dfp == stdout) \
+				sysloginfo(x); \
+			else \
+				fprintf(dfp,x); \
+		} \
+	} while (0)
+#define debug(level, x...) debugfile(stdout, level, x)
+
+#define fatalfile(dfp, x...) \
+	do { \
+		if (set.daemon && dfp == stderr) \
+			syslogcrit(x); \
+		else \
+			fprintf(dfp, x); \
+		exit(-1); \
+	} while (0)
+#define fatal(x...) fatalfile(stderr, x)
 
-/* Target state */
-enum targetState {NEW, LIVE, STALE};
+/* use setproctitle if available, otherwise use debug macro */
+#ifdef HAVE_SPT
+#define SPT(x...) setproctitle(x)
+#else
+#define SPT(x...) debug(DEBUG, x)
+#endif
 
 /* Typedefs */
 typedef struct worker_struct {
-    int index;
+    unsigned int index;
     pthread_t thread;
     struct crew_struct *crew;
 } worker_t;
 
 typedef struct config_struct {
     unsigned int interval;
-#if !NEW_TARGET_FORMAT
-    unsigned long long out_of_range;
-#endif
     char dbhost[80];
     char dbdb[80];
     char dbuser[80];
     char dbpass[80];
+    char dbsock[80];
+    unsigned short dbport;
     enum debugLevel verbose;
     unsigned short withzeros;
     unsigned short dboff;
     unsigned short multiple;
-#if !NEW_TARGET_FORMAT
-    unsigned short snmp_ver;
-#endif
-    unsigned short snmp_port;
     unsigned short threads;
     unsigned short daemon;
     unsigned short syslog;
@@ -125,43 +166,8 @@
     float lowskewslop;
 } config_t;
 
-typedef struct target_struct {
-#if !NEW_TARGET_FORMAT
-    char host[64];
-    char community[64];
-    char objoid[128];
-    char table[64];
-#else
-    struct host_struct *host;
-    char *objoid;
-    char *description;
-    char *table;
-#endif
-    unsigned short bits;
-    unsigned int iid;
-#ifdef HAVE_STRTOLL
-    unsigned long long maxspeed;
-#else
-    unsigned long maxspeed;
-#endif
-    enum targetState init;
-    unsigned long long last_value;
-#ifdef FEATURES
-    struct timeval last_time;
-#endif
-    struct target_struct *next;
-} target_t;
-
-#if NEW_TARGET_FORMAT
-typedef struct host_struct {
-    char *host;
-    char *community;
-    unsigned short snmp_ver;
-} host_t;
-#endif
-
 typedef struct crew_struct {
-    int work_count;
+    unsigned int work_count;
     worker_t member[MAX_THREADS];
     pthread_mutex_t mutex;
     pthread_cond_t done;
@@ -184,32 +190,19 @@
 #endif
     double poll_time; 
 } stats_t;
-
-#if !NEW_TARGET_FORMAT
-typedef struct hash_struct {
-    target_t *table[HASHSIZE];
-    int bucket;
-    target_t *target;
-} hash_t;
-#endif
-
+extern stats_t stats;
 
 /* Precasts: rtgpoll.c */
 void *sig_handler(void *);
 void usage(char *);
 
-/* Precasts: rtgpoll.c */
-void *poller(void *);
-
 #if HAVE_MYSQL
 /* Precasts: rtgmysql.c */
 int mysql_db_insert(char *, MYSQL *);
 int mysql_dbconnect(char *, MYSQL *);
 void mysql_dbdisconnect(MYSQL *);
 void mysql_close_db(void *);
-#endif
-
-#if HAVE_PGSQL
+#elif HAVE_PGSQL
 /* Precasts: rtgpgsql.c */
 PGresult * pgsql_db_query(char *, PGconn *);
 int pgsql_db_insert(char *, PGconn *);
@@ -222,49 +215,17 @@
 #endif
 
 /* Precasts: rtgutil.c */
-int read_rtg_config(char *, config_t *);
-int write_rtg_config(char *, config_t *);
-void config_defaults(config_t *);
-void print_stats (stats_t);
+int read_rtg_config(char *);
+int write_rtg_config(char *);
+void config_defaults(void);
 int sleepy(float);
 void timestamp(char *);
 double timediff(struct timeval, struct timeval);
 int checkPID(char *);
-#if !NEW_TARGET_FORMAT
-int alldigits(char *);
-#endif
-int daemon_init();
+int daemon_init(void);
 
-/* Precasts: rtghash.c */
-void init_hash();
-void init_hash_walk();
-target_t *getNext();
-#if !NEW_TARGET_FORMAT
-void free_hash();
-unsigned long make_key(const void *);
-void mark_targets(int);
-int delete_targets(int);
-void walk_target_hash();
-void *in_hash(target_t *, target_t *);
-int compare_targets(target_t *, target_t *);
-#endif
-int del_hash_entry(target_t *);
-int add_hash_entry(target_t *);
-int hash_target_file(char *);
-
-/* Globals */
-#if !NEW_TARGET_FORMAT
-config_t set;
-int lock;
-int waiting;
-char config_paths[CONFIG_PATHS][BUFSIZE];
-hash_t hash;
-#else
 extern config_t set;
-extern int lock;
-extern int waiting;
 extern char config_paths[CONFIG_PATHS][BUFSIZE];
 extern FILE *dfp;
-#endif
 
 #endif /* not _RTG_H_ */
Index: src/rtggram.l
===========================================================================
--- src/rtggram.l	2004/11/03 14:26:17	#2
+++ src/rtggram.l	2004/11/03 14:26:17
@@ -1,66 +1,95 @@
 %option yylineno
 %option noyywrap
 %{
+/* (c) 2004 bill fumerola, yahoo!
+ * 
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 
+ * THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ *
+ * $Yahoo$
+ */
+
+#include <err.h>
 #include <stdio.h>
 #include <string.h>
 #include "common.h"
 #include "rtgtarg.h"
 
-
 unsigned int lineno = 1;
 int yylex(void);
 %}
 
-token         [{};]
-endtoken      ;$
-newline       [\n]*
-whitespace    [ \t\v\f]+
-hashcmnt      ^#.*$
-cppcmnt               "//".*$
-ipv4addr      ([0-9]{1,3}\.){1,3}[0-9]{1,3}
-oid           (\.[0-9]+)+
-string                \"[^\"\n]+\"
-number                [0-9]+
+token		[{};]
+endtoken	;$
+newline		[\n\r]
+whitespace	[ \t\v\f]+
+hashcmnt	^#.*$
+cppcmnt		"//".*$
+ipv4addr	([0-9]{1,3}\.){1,3}[0-9]{1,3}
+oid		(\.[0-9]+)+
+string		\"[^\"\n]*\"
+number		[0-9]+
 identifier      [a-zA-Z0-9]([^; \t]|[:print:])*
 
 %%
-{newline}     { ++lineno; }
-{whitespace}  { }
-{hashcmnt}    { }
-{cppcmnt}     { }
-{endtoken}    { }
+{newline}	{ ++lineno; }
+{whitespace}	{ }
+{hashcmnt}	{ }
+{cppcmnt}	{ }
+{endtoken}	{ }
 
-host          { return T_HOST; }
+host		{ return T_HOST; }
 
-community     { return HST_COMM; }
-snmpver               { return HST_SVER; }
-target                { return HST_TRGT; }
+community	{ return HST_COMM; }
+snmpver		{ return HST_SVER; }
+target		{ return HST_TRGT; }
+snmp_port	{ return HST_PORT; }
+timeout		{ return HST_TIME; }
+retries		{ return HST_RTRY; }
 
-bits          { return TGT_BITS; }
-table         { return TGT_TBL; }
-id            { return TGT_ID; }
-speed         { return TGT_SPEED; }
-descr         { return TGT_DESCR; }
+bits		{ return TGT_BITS; }
+table		{ return TGT_TBL; }
+id		{ return TGT_ID; }
+speed		{ return TGT_SPEED; }
+descr		{ return TGT_DESCR; }
 
-{token}               { return yytext[0]; }
-{number}      {
-#ifdef HAVE_STRTOLL
-                yylval.number = strtoll(yytext, NULL, 0);
+{token}		{ return yytext[0]; }
+{number}	{ 
+#ifdef HAVE_STRTOULL
+		  yylval.number = strtoull(yytext, NULL, 0);
 #else
-                yylval.number = strtol(yytext, NULL, 0);
+		  yylval.number = strtoul(yytext, NULL, 0);
 #endif
-                return L_NUMBER;
-              }
+		  return L_NUMBER;
+		}
 {ipv4addr}      { yylval.string = strdup(yytext); return L_IPADDR; }
-{oid}         { yylval.string = strdup(yytext); return L_OID; }
+{oid}		{ yylval.string = strdup(yytext); return L_OID; }
 {string}        { yylval.string = strdup(yytext+1);
                   if(yylval.string[yyleng-2] != '"')
-                      fprintf(stderr,"Unterminated character string\n");
+			fprintf(stderr,"Unterminated character string\n");
                   else
-                      yylval.string[yyleng-2] = '\0'; /* remove close quote */
-                return L_STRING;
-              }
+			yylval.string[yyleng-2] = '\0'; /* remove close quote */
+		  return L_STRING;
+		}
 {identifier}    { yylval.string = strdup(yytext); return L_IDENT; }
 
-.             { fprintf(stderr,"unexpected character: %c", yytext[0]); }
+.		{ warnx("unexpected character: %c", yytext[0]); }
 %%
